## split-gpg2 1.0.0%2Bdeb11u1

=== debian/changelog ===
split-gpg2 (1.0.0+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Mon, 27 Feb 2023 17:42:32 +0100

split-gpg2 (1.0.0) unstable; urgency=medium

  [ HW42 ]
  * don't require .split-gpg2-rc in system service

  [ Simon Gaiser ]
  * Order split-gpg2-client.service after qubes-misc-post.service
  * Fake the 'putenv' command
  * Fix systemd service name in README
  * Add short explanaition of key handling to the README

  [ Marek Marczykowski-Górecki ]
  * Rewrite in Python
  * Optionally allow the client to trigger key generation
  * Make I/O logging optional
  * Add automated tests
  * Refresh packaging, integrate with qubes-builder
  * Add pylint configuration, and few exceptions
  * travis: initial config
  * Add requirements to README

  [ Simon Gaiser ]
  * Debian build needs dh-python
  * Cleanup empty comment
  * Fix main
  * Improve and clarify teardown on errors
  * Filter HT (0x09, t) in logged IO
  * Fix path to example config in README
  * Remove obsolete comment about default_options
  * Fake 'SCD SERIALNO openpgp' to fix search for default key
  * Use 'extra-socket' as defense in depth
  * Set a timeout on "Do you want"-prompts
  * Cleanup split-gpg2-client
  * Update split-gpg2-client.service
  * Add env var for allowing keygen commands
  * debian/control: gnupg2 has been renamed to just gnupg
  * Update .gitignore
  * Don't try to kill systemd
  * Fix handling of 'OPTION display' in combination with extra-socket
  * Fix type "lenght"
  * Use 'gpg' binary in tests
  * rpm_spec: Depend on new enough gnupg
  * Do not use SETKEYDESC from client
  * Sanitize "sexpr" in D (data) inquires
  * Always call it split-gpg2
  * Allow systemwide config and use XDG_CONFIG_HOME
  * Makefile.builder: Remove vim modeline
  * Update README and example config

  [ Piotr Król ]
  * README: fix typos, white space and clarify some sections

  [ HW42 ]
  * Remove ask for anyvm in qubes-rpc policy
  * README: Link to qubes-builder doc instead of it's repo
  * README: Fix line break in copyright notice

  [ Simon Gaiser ]
  * Fix error type/message for sexpr with invalid end
  * Don't silently drop multiple top level sexpr literals
  * Fix detection of mismatching parenthesis in sexprs
  * Ignore cache nonce for GENKEY
  * Refuse other GENKEY options
  * Fix typo in GENKEY --no-protection parsing
  * Allow GENKEY --timestamp=
  * Raise debhelper compat level
  * Give that old debug utility a little bit better name
  * Warn about allowing keygen
  * client: No old shell style code and fail if socket path is empty

  [ Demi Marie Obenour ]
  * Uncomment type hints

  [ Simon Gaiser ]
  * Don't try to stop an existing agent
  * client: wrap long line
  * server: Use stdin/-out instead of bi-directional socket
  * server: Fix remaining calls to GpgServer.abort

  [ Demi Marie Obenour ]
  * Add a type annotation for cache_nonce_regex
  * Run split-gpg2-client as a systemd session service
  * split-gpg2-client conflicts with gpg-agent.socket

  [ Simon Gaiser ]
  * systemd: Also conflict with other gpg-agent units
  * GpgServer.parse_sexpr: enforce that the sexpr top level is a list
  * GpgServer.serialize_sexpr: add type checks
  * client: check exit status of gpgconf
  * client: Consistently use bash's [[ test command

  [ Demi Marie Obenour ]
  * Validate environment variable values
  * GpgServer.parse_sexpr: add type annotation and check

  [ Simon Gaiser ]
  * GpgServer.parse_sexpr: Refuse deeply nested sexpr
  * server: Explain why we currently don't validate sexpr content
  * client: escape the path passed to #! interpreter from arguments

  [ Marek Marczykowski-Górecki ]
  * Fix enabling service on install
  * Prevent gpg from starting local agent
  * rpm: add missing BR: make
  * deb: downgrade debhelper-compat level to 12
  * Include client qube name in the autoaccept flag file
  * deb: split out python3-splitgpg2
  * Add integration tests
  * Drop Travis CI
  * ci: add gitlab-ci config
  * Make pylint happy
  * Add support for HAVEKEY --list
  * Update smartcard mock
  * Handshake test fix
  * tests: force 'C' locale
  * tests: temporarily skip keygen test
  * tests: set own key as ultimately trusted
  * ci: mark source dir as 'safe'

  [ Demi Marie Obenour ]
  * Add and use a test runner script
  * Add function to sanitize integers
  * Use compound assignment
  * Sanitize CIPHERTEXT inquires.
  * Add tests for generating various types of keys
  * Use EdDSA instead of RSA in tests
  * Sanitize KEYPARAM sexp
  * Allow an empty passphrase to be specified
  * Use explicit base 10 for int()
  * Fix an incorrect regular expression

  [ Marek Marczykowski-Górecki ]
  * Use new policy format and location
  * Treat negative autoaccept time as "always allow"
  * Use stricter config file
  * Remove unused variable
  * add some type annotations
  * Warn about unsupported options - easier to spot typos

  [ Demi Marie Obenour ]
  * Improve a comment
  * Fix all MyPy errors
  * Fix support for old Python

  [ Marek Marczykowski-Górecki ]
  * Fix one more mypy issue
  * ci: add mypy job
  * Add builderv2 integration

  [ Demi Marie Obenour ]
  * Support using existing keys for key generation
  * Improve split-gpg2-client script
  * Ignore pinentry-mode options
  * Allow GETINFO s2k_count
  * Work around gpgconf error-checking bug
  * Move configuration to a subdirectory
  * Use object-oriented approach to keygrip map
  * Set umask to 0077
  * Always use a non-default GnuPG home directory

  [ Marek Marczykowski-Górecki ]
  * split-gpg2-client: Fix typo in agent socket path verification

  [ Frédéric Pierret (fepitre) ]
  * spec: add BR python3-setuptools
  * Make mypy happy

  [ Demi Marie Obenour ]
  * Automatically create GnuPG home directory
  * Automatically import secret subkeys by default
  * Add auto_sync config option
  * Rename auto_sync to auto_keyring_sync
  * Revert "Always use a non-default GnuPG home directory"
  * tests: Expand generate_key()


## split-gpg2 1.0.0%2Bdeb12u1

=== debian/changelog ===
split-gpg2 (1.0.0+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Mon, 27 Feb 2023 17:42:32 +0100

## split-gpg2 1.0.0%2Bdeb13u1

=== debian/changelog ===
split-gpg2 (1.0.0+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Mon, 27 Feb 2023 17:42:32 +0100

## split-gpg2 1.0.0%2Bjammy1

=== debian/changelog ===
split-gpg2 (1.0.0+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Mon, 27 Feb 2023 17:42:32 +0100

## split-gpg2 1.1.0%2Bdeb12u1

=== debian/changelog ===
split-gpg2 (1.1.0+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Thu, 23 May 2024 03:11:08 +0200

split-gpg2 (1.1.0) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Fix connection cleanup
  * ci: fix pylint setup
  * cleanup pylintrc
  * make pylint happy

  [ Ben Grande ]
  * Source drop-in configuration files

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 23 May 2024 03:11:08 +0200

## split-gpg2 1.1.10+deb13u1

=== ci/requirements.txt ===
# WARNING: those requirements are used only for CI
# they SHOULD NOT be used under normal conditions; use system package manager
coverage
codecov
pylint
mypy

## split-gpg2 1.1.0%2Bdeb13u1

=== debian/changelog ===
split-gpg2 (1.1.0+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Thu, 23 May 2024 03:11:08 +0200

=== debian/control ===
Source: split-gpg2
Maintainer: HW42 <hw42@ipsumj.de>
Section: misc
Priority: optional
Standards-Version: 3.9.6
Build-Depends:
 debhelper-compat (= 12),
 python3-all,
 python3-setuptools,
 dh-python,
# for tests
 gnupg (>= 2.1.0~beta),
 python3-xdg,
 socat,

Package: split-gpg2
Architecture: all
Depends: ${misc:Depends}, python3-splitgpg2
Description: split-gpg2 for Qubes
  split-gpg2 allows you to run the gpg client in a different Qubes-Domain than
  the gpg-agent.

Package: python3-splitgpg2
Architecture: any
Depends:
 gnupg (>= 2.1.0~beta),
 zenity,
 libnotify-bin,
 python3-xdg,
 ${misc:Depends},
 ${python3:Depends},
Description: Python package splitgpg2
 Python package splitgpg2

Package: split-gpg2-tests
Section: admin
Architecture: all
# add python3-dogtail, when packaged for Debian
Depends:
 split-gpg2,
 python3-pyatspi,
 dovecot-imapd,
 xdotool,
 ${misc:Depends}
Description: Helper files for Split GPG2 tests

## split-gpg2 1.1.1%2Bdeb12u1

=== debian/changelog ===
split-gpg2 (1.1.1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Mon, 12 Aug 2024 17:44:31 +0200

split-gpg2 (1.1.1) unstable; urgency=medium

  [ Yanase Yuki ]
  * debian: add socat to runtime dependency

  [ Ben Grande ]
  * Recommends notification client and server

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 12 Aug 2024 17:44:31 +0200

## split-gpg2 1.1.1%2Bdeb13u1

=== debian/changelog ===
split-gpg2 (1.1.1+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Mon, 12 Aug 2024 17:44:31 +0200

## split-gpg2 1.1.1%2Bjammy1

=== debian/changelog ===
split-gpg2 (1.1.1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Mon, 12 Aug 2024 17:44:31 +0200

## split-gpg2 1.1.2%2Bdeb12u1

=== debian/changelog ===
split-gpg2 (1.1.2+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Sat, 21 Dec 2024 16:08:57 +0100

split-gpg2 (1.1.2) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Fix tests for Ed448 and X448 keys
  * Do not test Ed448 or X448 unless GnuPG says they are supported
  * Ignore NOP command
  * Return fake 'OK' to setting 'display' option
  * Remove OptionHandlingType.override
  * Give fake OK response to OPTIONS pinentry-mode=ask
  * Fix bytes vs str mismatch
  * Properly indent a function parameter
  * Understand Assuan comments
  * Always pass expected_inquires dict
  * Clean up input validation
  * Allow "KEYINFO --list"
  * Use unrestricted connection for HAVEKEY --list and KEYINFO --list

  [ Marek Marczykowski-Górecki ]
  * tests: assertEquals -> assertEqual
  * tests: fix creating config dir
  * Factor in FlowControlMixin
  * Convert FlowControlMixin to StdoutWriterProtocol
  * ci: drop R4.1 add R4.3
  * Add type annotations to StdoutWriterProtocol
  * Do not output keyring import messages to the client stderr
  * tests: log stdout/stderr on key generation failure
  * tests: generate signing subkey
  * tests: update Thunderbird/Evolution interactions

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 21 Dec 2024 16:08:57 +0100

## split-gpg2 1.1.2%2Bdeb13u1

=== debian/changelog ===
split-gpg2 (1.1.2+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Sat, 21 Dec 2024 16:08:57 +0100

## split-gpg2 1.1.2%2Bjammy1

=== debian/changelog ===
split-gpg2 (1.1.2+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Sat, 21 Dec 2024 16:08:57 +0100

## split-gpg2 1.1.2%2Bnoble1

=== debian/changelog ===
split-gpg2 (1.1.2+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Sat, 21 Dec 2024 16:08:57 +0100

## split-gpg2 1.1.3%2Bdeb12u1

=== debian/changelog ===
split-gpg2 (1.1.3+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Fri, 03 Jan 2025 05:26:22 +0100

split-gpg2 (1.1.3) unstable; urgency=medium

  [ Ben Grande ]
  * Prevent agent hang on alternative gpg homedir

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 03 Jan 2025 05:26:22 +0100

## split-gpg2 1.1.3%2Bdeb13u1

=== debian/changelog ===
split-gpg2 (1.1.3+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Fri, 03 Jan 2025 05:26:22 +0100

## split-gpg2 1.1.3%2Bjammy1

=== debian/changelog ===
split-gpg2 (1.1.3+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Fri, 03 Jan 2025 05:26:22 +0100

## split-gpg2 1.1.3%2Bnoble1

=== debian/changelog ===
split-gpg2 (1.1.3+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Fri, 03 Jan 2025 05:26:22 +0100

## split-gpg2 1.1.4%2Bdeb12u1

=== debian/changelog ===
split-gpg2 (1.1.4+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Fri, 14 Mar 2025 22:40:38 +0100

split-gpg2 (1.1.4) unstable; urgency=medium

  * tests: update for Thunderbird version/config in Whonix 17

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 14 Mar 2025 22:40:38 +0100

## split-gpg2 1.1.4%2Bdeb13u1

=== debian/changelog ===
split-gpg2 (1.1.4+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Fri, 14 Mar 2025 22:40:38 +0100

## split-gpg2 1.1.4%2Bjammy1

=== debian/changelog ===
split-gpg2 (1.1.4+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Fri, 14 Mar 2025 22:40:38 +0100

## split-gpg2 1.1.4%2Bnoble1

=== debian/changelog ===
split-gpg2 (1.1.4+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Fri, 14 Mar 2025 22:40:38 +0100

## split-gpg2 1.1.5%2Bdeb12u1

=== debian/changelog ===
split-gpg2 (1.1.5+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Mon, 07 Apr 2025 16:23:07 +0200

split-gpg2 (1.1.5) unstable; urgency=medium

  [ Rot127 ]
  * Add note to remind the user that keys have no password and all
    necessary keys are present.

  [ Marek Marczykowski-Górecki ]
  * tests: adjust error handling
  * tests: adjust disabling donation prompt, yet again
  * rpm: adjust for openSUSE
  * rpm: fix usage of %dist macro

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 07 Apr 2025 16:23:07 +0200

## split-gpg2 1.1.5%2Bdeb13u1

=== debian/changelog ===
split-gpg2 (1.1.5+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Mon, 07 Apr 2025 16:23:07 +0200

## split-gpg2 1.1.5%2Bnoble1

=== debian/changelog ===
split-gpg2 (1.1.5+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Mon, 07 Apr 2025 16:23:07 +0200

## split-gpg2 1.1.6%2Bdeb12u1

=== debian/changelog ===
split-gpg2 (1.1.6+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Sun, 08 Jun 2025 04:48:19 +0200

split-gpg2 (1.1.6) unstable; urgency=medium

  [ Simon Gaiser ]
  * Don't add working directory to Python's path
  * Always set _closed future in StdoutWriterProtocol.connection_lost
  * Add tests for proper termination
  * Fix Python invocation on Ubuntu 22.04 (jammy)

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 08 Jun 2025 04:48:19 +0200

## split-gpg2 1.1.6%2Bdeb13u1

=== debian/changelog ===
split-gpg2 (1.1.6+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Sun, 08 Jun 2025 04:48:19 +0200

## split-gpg2 1.1.6%2Bjammy1

=== debian/changelog ===
split-gpg2 (1.1.6+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Sun, 08 Jun 2025 04:48:19 +0200

## split-gpg2 1.1.6%2Bnoble1

=== debian/changelog ===
split-gpg2 (1.1.6+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Sun, 08 Jun 2025 04:48:19 +0200

## split-gpg2 1.1.7%2Bdeb12u1

=== debian/changelog ===
split-gpg2 (1.1.7+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Tue, 10 Jun 2025 22:03:22 +0200

split-gpg2 (1.1.7) unstable; urgency=medium

  * tests: fix setting up IMAP on Whonix

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 10 Jun 2025 22:03:22 +0200

## split-gpg2 1.1.7%2Bdeb13u1

=== debian/changelog ===
split-gpg2 (1.1.7+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Tue, 10 Jun 2025 22:03:22 +0200

## split-gpg2 1.1.7%2Bjammy1

=== debian/changelog ===
split-gpg2 (1.1.7+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Tue, 10 Jun 2025 22:03:22 +0200

## split-gpg2 1.1.7%2Bnoble1

=== debian/changelog ===
split-gpg2 (1.1.7+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Tue, 10 Jun 2025 22:03:22 +0200

## split-gpg2 1.1.8%2Bdeb12u1

=== debian/changelog ===
split-gpg2 (1.1.8+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Sun, 06 Jul 2025 02:57:42 +0200

split-gpg2 (1.1.8) unstable; urgency=medium

  [ 3np ]
  * fix: do not raise error on notify-send

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 06 Jul 2025 02:57:42 +0200

## split-gpg2 1.1.8%2Bdeb13u1

=== debian/changelog ===
split-gpg2 (1.1.8+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Sun, 06 Jul 2025 02:57:42 +0200

## split-gpg2 1.1.8%2Bjammy1

=== debian/changelog ===
split-gpg2 (1.1.8+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Sun, 06 Jul 2025 02:57:42 +0200

## split-gpg2 1.1.8%2Bnoble1

=== debian/changelog ===
split-gpg2 (1.1.8+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Sun, 06 Jul 2025 02:57:42 +0200

## split-gpg2 1.1.9%2Bdeb12u1

=== debian/changelog ===
split-gpg2 (1.1.9+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Tue, 05 Aug 2025 22:56:59 +0200

split-gpg2 (1.1.9) unstable; urgency=medium

  * tests: adjust tests for Dovecot 2.4

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 05 Aug 2025 22:56:59 +0200

## split-gpg2 1.1.9%2Bdeb13u1

=== debian/changelog ===
split-gpg2 (1.1.9+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Tue, 05 Aug 2025 22:56:59 +0200

## split-gpg2 1.1.9%2Bjammy1

=== debian/changelog ===
split-gpg2 (1.1.9+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Tue, 05 Aug 2025 22:56:59 +0200

## split-gpg2 1.1.9%2Bnoble1

=== debian/changelog ===
split-gpg2 (1.1.9+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Tue, 05 Aug 2025 22:56:59 +0200

## split-gpg2 1.1.10%2Bjammy1

=== debian/changelog ===
split-gpg2 (1.1.10+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Wed, 17 Sep 2025 15:17:07 +0200

split-gpg2 (1.1.10) unstable; urgency=medium

  [ Ali Mirjamali ]
  * Initialize asyncio event loop before using it

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 17 Sep 2025 15:17:07 +0200

## split-gpg2 1.1.10%2Bnoble1

=== debian/changelog ===
split-gpg2 (1.1.10+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Wed, 17 Sep 2025 15:17:07 +0200

## split-gpg2 1.1.10+deb12u1

=== debian/changelog ===
split-gpg2 (1.1.10+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Wed, 17 Sep 2025 15:17:07 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,10 @@
 
 Package: split-gpg2
 Architecture: all
-Depends: ${misc:Depends}, python3-splitgpg2
+Depends:
+ python3-splitgpg2,
+ socat,
+ ${misc:Depends}
 Description: split-gpg2 for Qubes
   split-gpg2 allows you to run the gpg client in a different Qubes-Domain than
   the gpg-agent.
@@ -25,10 +28,12 @@
 Depends:
  gnupg (>= 2.1.0~beta),
  zenity,
- libnotify-bin,
  python3-xdg,
  ${misc:Depends},
  ${python3:Depends},
+Recommends:
+ libnotify-bin,
+ notification-daemon,
 Description: Python package splitgpg2
  Python package splitgpg2

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = splitgpg2

override_dh_auto_install:
	dh_auto_install
	$(MAKE) install-other DESTDIR=debian/tmp

%:
	dh $@ --with=python3 --buildsystem=pybuild

## split-gpg2 1.1.10+deb13u1

=== debian/changelog ===
split-gpg2 (1.1.10+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Wed, 17 Sep 2025 15:17:07 +0200

## split-gpg2 1.1.11%2Bdeb13u1

=== debian/changelog ===
split-gpg2 (1.1.11+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Mon, 27 Oct 2025 13:41:24 +0100

split-gpg2 (1.1.11) unstable; urgency=medium

  * tests: adjust dovecot 2.4 detection for F43

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 27 Oct 2025 13:41:24 +0100

## split-gpg2 1.1.11%2Bnoble1

=== debian/changelog ===
split-gpg2 (1.1.11+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Mon, 27 Oct 2025 13:41:24 +0100

## split-gpg2 1.1.11+deb12u1

=== Makefile ===
SHELL=/bin/bash

PYTHON ?= python3

.PHONY: build
build:
	$(PYTHON) setup.py build

clean:

install: install-python install-other

install-python:
	$(PYTHON) setup.py install -O1 $(PYTHON_PREFIX_ARG) --root $(DESTDIR)

install-python-dom0:
	$(PYTHON) setup-tests.py install -O1 $(PYTHON_PREFIX_ARG) --root $(DESTDIR)

install-other:
	install -d $(DESTDIR)/usr/share/split-gpg2
	install -d $(DESTDIR)/usr/share/split-gpg2-tests
	install -d $(DESTDIR)/etc/qubes-rpc
	install -d $(DESTDIR)/etc/gnupg
	install -d $(DESTDIR)/usr/lib/systemd/user/
	install -d $(DESTDIR)/usr/lib/systemd/user-preset/
	install -d $(DESTDIR)/usr/share/doc/split-gpg2
	install -d $(DESTDIR)/usr/share/doc/split-gpg2/examples
	install -m 775 split-gpg2-client $(DESTDIR)/usr/share/split-gpg2/
	install -m 755 gpg-agent-placeholder $(DESTDIR)/usr/share/split-gpg2/
	install -m 644 gpg.conf $(DESTDIR)/etc/gnupg/gpg.conf
	install -m 755 qubes.Gpg2.service $(DESTDIR)/etc/qubes-rpc/qubes.Gpg2
	install -m 644 split-gpg2-client.service $(DESTDIR)/usr/lib/systemd/user/
	install -m 644 split-gpg2-client.preset $(DESTDIR)/usr/lib/systemd/user-preset/70-split-gpg2-client.preset
	install -m 644 qubes-split-gpg2.conf.example $(DESTDIR)/usr/share/doc/split-gpg2/examples/
	install -m 644 README.md $(DESTDIR)/usr/share/doc/split-gpg2/
	install -m 644 tests/* $(DESTDIR)/usr/share/split-gpg2-tests/

=== debian/changelog ===
split-gpg2 (1.1.11+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Mon, 27 Oct 2025 13:41:24 +0100

## split-gpg2 1.1.12%2Bdeb12u1%2Bdevel1

=== debian/changelog ===
split-gpg2 (1.1.12+deb12u1+devel1) bookworm; urgency=medium

  * Test build

 -- Builder <user@localhost>  Mon, 22 Dec 2025 12:32:13 +0000

split-gpg2 (1.1.12) unstable; urgency=medium

  * tests: update for TB 145

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 09 Dec 2025 15:34:52 +0100

## split-gpg2 1.1.12%2Bdeb13u1%2Bdevel1

=== debian/changelog ===
split-gpg2 (1.1.12+deb13u1+devel1) trixie; urgency=medium

  * Test build

 -- Builder <user@localhost>  Mon, 22 Dec 2025 12:35:52 +0000

## split-gpg2 1.1.12+deb12u1

=== debian/changelog ===
split-gpg2 (1.1.12+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Tue, 09 Dec 2025 15:34:52 +0100

## split-gpg2 1.1.12+deb13u1

=== debian/changelog ===
split-gpg2 (1.1.12+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Tue, 09 Dec 2025 15:34:52 +0100
